package com.steerinfo.ems.tcm0310.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class TCm0310 implements IBasePO<String> {

    /**
     * 水质系统代码(WATERCODE,VARCHAR,400)
     */
    @ApiModelProperty(value="水质系统代码",required=false)
    private String watercode;

    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=true)
    private String recordid;

    /**
     * 水质系统名称(WATERNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="水质系统名称",required=true)
    private String watername;

    /**
     * 监测部门(DETECTIONDEPARTMENT,VARCHAR,400)
     */
    @ApiModelProperty(value="监测部门",required=true)
    private String detectiondepartment;

    /**
     * 排序(SORT,DECIMAL,18)
     */
    @ApiModelProperty(value="排序",required=false)
    private Long sort;

    /**
     * 使用状态(USESTATE,VARCHAR,400)
     */
    @ApiModelProperty(value="使用状态",required=true)
    private String usestate;

    /**
     * 创建人(CREATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="创建人",required=true)
    private String createman;

    /**
     * 创建时间(CREATETIME,DATE,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,DATE,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date updatetime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.watercode;
    }

    @Override
    public void setId(String watercode) {
        this.watercode = watercode == null ? null : watercode.trim();
    }

    public String getWatercode() {
        return watercode;
    }

    public void setWatercode(String watercode) {
        this.watercode = watercode == null ? null : watercode.trim();
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getWatername() {
        return watername;
    }

    public void setWatername(String watername) {
        this.watername = watername == null ? null : watername.trim();
    }

    public String getDetectiondepartment() {
        return detectiondepartment;
    }

    public void setDetectiondepartment(String detectiondepartment) {
        this.detectiondepartment = detectiondepartment == null ? null : detectiondepartment.trim();
    }

    public Long getSort() {
        return sort;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    public String getUsestate() {
        return usestate;
    }

    public void setUsestate(String usestate) {
        this.usestate = usestate == null ? null : usestate.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", watercode=").append(watercode);
        sb.append(", recordid=").append(recordid);
        sb.append(", watername=").append(watername);
        sb.append(", detectiondepartment=").append(detectiondepartment);
        sb.append(", sort=").append(sort);
        sb.append(", usestate=").append(usestate);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}